<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use App\Models\usersettings;
use App\Models\Customer;
use App\Models\CustomerSetting;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\PermissionRegistrar;
use Hash;

class AdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

		// create roles
		$this->createRoles();

    }

    public function createRoles(){

        Role::create(['name' => 'superadmin', 'guard_name' => 'web',]);
        // Role::create(['name' => 'agent' , 'guard_name' => 'web',]);
    }

}
